import request from '@/utils/request'

// 查询调度会议详情列表
export function listDailyMeetingitem(query) {
  return request({
    url: '/plant/dailyMeetingitem/list',
    method: 'get',
    params: query
  })
}

// 查询调度会议详情详细
export function getDailyMeetingitem(id) {
  return request({
    url: '/plant/dailyMeetingitem/' + id,
    method: 'get'
  })
}

// 新增调度会议详情
export function addDailyMeetingitem(data) {
  return request({
    url: '/plant/dailyMeetingitem',
    method: 'post',
    data: data
  })
}

// 修改调度会议详情
export function updateDailyMeetingitem(data) {
  return request({
    url: '/plant/dailyMeetingitem',
    method: 'put',
    data: data
  })
}

// 删除调度会议详情
export function delDailyMeetingitem(id) {
  return request({
    url: '/plant/dailyMeetingitem/' + id,
    method: 'delete'
  })
}

// 导出调度会议详情
export function exportDailyMeetingitem(query) {
  return request({
    url: '/plant/dailyMeetingitem/export',
    method: 'get',
    params: query
  })
}
